package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSDualNode;

@ObfuscatedName("sn")
public class DualNode extends Node implements RSDualNode {
   @ObfuscatedName("em")
   public long keyDual;
   @ObfuscatedName("eo")
   @ObfuscatedSignature(
      descriptor = "Lsn;"
   )
   public DualNode previousDual;
   @ObfuscatedName("ef")
   @ObfuscatedSignature(
      descriptor = "Lsn;"
   )
   public DualNode nextDual;

   @ObfuscatedName("fd")
   public void removeDual_base() {
      if(this.nextDual != null) {
         this.nextDual.previousDual = this.previousDual;
         this.previousDual.nextDual = this.nextDual;
         this.previousDual = null;
         this.nextDual = null;
      }
   }

   public RSDualNode previousDual() {
      return this.previousDual;
   }

   public void unlinkDual() {
      this.removeDual_base();
   }
}
